# MultipleIterator::containsIterator

(PHP 5 >= 5.3.0, PHP 7)

MultipleIterator::containsIterator — Checks if an iterator is attached

### Description

public MultipleIterator::containsIterator ( Iterator `$iterator` ) : bool

Checks if an iterator is attached or not.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`iterator`

  The iterator to check.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- MultipleIterator::valid() - Checks the validity of sub iterators